## busybox 1

=== debian/changelog ===
busybox (1:1-1+eagle) unstable; urgency=medium

  * update

 -- Debian Install System Team <debian-boot@lists.debian.org>  Tue, 10 May 2022 20:30:41 +0800

busybox (1:1.30.1.3-1+dde) unstable; urgency=medium

  * fix CVE-2022-28391.
  * 

 -- xinpeng wang <wangxinpeng@uniontech.com>  Thu, 05 May 2022 16:30:08 +0800

busybox (1:1.30.1.2-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2021-28831

 -- liujianqiang <liujianqiang@uniontech.com>  Fri, 11 Jun 2021 10:09:06 +0800

busybox (1:1.30.1.1-1+dde) stable; urgency=medium

  * add sw64 porting

 -- zhangfeilong <zhangfeilong@uniontech.com>  Thu, 15 Apr 2021 00:25:39 +0800

busybox (1:1.30.1-4+dde) unstable; urgency=high

  [ Ben Hutchings ]
  * Drop "Stop overriding stack alignment on i386" as this behaviour is now
    configurable
  * debian/rules: Enable verbose output (V=1) for "make oldconfig"

  [ Cyril Brulebois ]
  * Reinstate temp-deb-installer-hack.patch and FEATURE_DI_ENV_HACK=y
    Closes: #925979

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 01 Apr 2019 07:17:50 +0200

busybox (1:1.30.1-3) unstable; urgency=high

  * Ignore any valid_lft or preferred_lft parameters to ip, thanks 
    Steve Langasek. Closes: #924442
  * Fix ip oneline, thanks Dominik George. Closes: #924374

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Mar 2019 16:52:05 +0100

busybox (1:1.30.1-2) unstable; urgency=high

  * Complete the fix for [CVE-2018-20679] Closes: #918846

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 02 Mar 2019 09:11:13 +0100

busybox (1:1.30.1-1) unstable; urgency=high

  [ Christoph Biedl ]
  * New upstream version 1.30.1
    Closes: #918846 [CVE-2018-20679]
  * Refresh patch queue
  * Update busybox configurations for new upstream version

  * Debian packaging changes:
    [ Chris Boot ]
    * Check signatures on upstream tarballs:
      - d/watch: set opts=pgpsigurlmangle
      - d/upstream/signing-key.asc: import Denis Vlasenko's key
    * d/changelog:
      - Correct CVE reference in changelog entry for previous upload.
      - Remove trailing whitespace.
    * d/rules:
      - Remove trailing whitespace.
    * Switch to debhelper 11.
    * d/control:
      - Set Rules-Requires-Root: no.
      - Bump Standards-Version to 4.1.5; no other changes required.
    * Remove obsolete files:
      - d/bin/genorig.py: not needed since ~2008.
      - d/udeb-sizes: not updated since ~2012.
    [ Christoph Biedl ]
    * Add a README for any package maintainer

  [ Chris Boot ]
  * Refresh and rework patches:
    - Drop patches cherry-picked from upstream.
    - Drop temp-deb-installer-hack.patch: no longer needed.
    - Rework patches to account for upstream changes:
      - shell-ash-export-HOME.patch
      - version.patch
  * Enable new applets for use by initramfs-tools: nuke, resume, run-init.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 01 Mar 2019 21:19:43 +0100

busybox (1:1.27.2-3) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Chris Lamb ]
  * PEP8 fixes.

  [ Ben Hutchings ]
  * Stop overriding stack alignment on i386 (Closes: #886506)
  * Apply security fixes for wget from upstream:
    - wget: more thorough sanitization of other side's data
    - wget: check chunk length for overflowing off_t (CVE-2018-1000517)
      (Closes: #902724)
    - wget: handle URLs with @ or hash differently

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 13 Jul 2018 04:19:08 +0100

busybox (1:1.27.2-2) unstable; urgency=medium

  * Trigger an initramfs rebuild on installation. (Closes: #549022)
  * Temporarily re-enable invalid variable names in the udeb flavour for
    debian-installer.
  * Install the readlink binary in /bin. (Closes: #801850)
  * Fix integer overflow in bzip2 decompresson [CVE-2017-15873].
    (Closes: #879732)
  * Fix integer underflow in LZMA decompressor [CVE-2017-15874].
    (Closes: #879732)
  * Prevent tab completion for strings containing control characters
    [CVE-2017-16544].
  * Debian packaging changes:
    - Update debian/control:
      - Update Standards-Version to 4.1.1.
      - Change Priority to optional for all packages.
    - Remove obsolete debian/gbp.conf.
    - Update debian/watch:
      - Switch to format=4.
      - Use HTTPS URI.

 -- Chris Boot <bootc@debian.org>  Tue, 28 Nov 2017 13:45:04 +0000

busybox (1:1.27.2-1) unstable; urgency=medium

  * New upstream release. This addresses:
    - Segmentation fault when creating compressed tar files. (Closes: #812074)
    - Pointer misuse unziping files. (Closes: #803097)
    - Buffer overflow in the DHCP client [CVE-2016-2148]. (Closes: #818497)
    - Integer overflow in the DHCP client [CVE-2016-2147]. (Closes: #818499)
  * Postpone creation of symlinks with "suspicious" targets [CVE-2011-5325].
    (Closes: #802702)
  * Re-enable the test suite during build. (Closes: #794526)
  * udhcpc: correct a typo in /etc/udhcpc/default.script. (Closes: #873472)
  * Debian packaging changes:
    - Run wrap-and-sort -st.
    - Update debian/control:
      - Replace Uploaders with myself and Christoph Biedl. Many thanks to
        Bastian Blank and Michael Tokarev for having maintained busybox for
        many years prior.
      - Remove Build-Depends to avoid ancient broken libc-dev-bin.
      - Bump Build-Depends on debhelper to >= 10.
    - Rewrite debian/rules:
      - Simplify and use the dh sequencer.
      - Remove test for ancient broken libc6 versions with static binaries.
      - Strip -O2 from CFLAGS, falling back to -Os from the busybox
        configuration.
      - Abort the build if 'make oldconfig' changes the configuration at all.
    - Update busybox build configuration files for the new upstream release.
      - The udeb configuration mostly hasn't changed, but enable fgrep,
        blkdiscard, bzcat and lsscsi.
      - The deb and static configurations have had upstream recommendations

