## busybox 1.15.3

=== debian/changelog ===
busybox (1:1.15.3-1ubuntu5) maverick; urgency=low

  * applets-fallback.patch: Never execute busybox applets when chrooting
    (LP: #594162).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Oct 2010 16:06:06 +0100

busybox (1:1.15.3-1ubuntu4) maverick; urgency=low

  * Add cross-compiling support (LP: #623392).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Aug 2010 23:36:38 +0100

busybox (1:1.15.3-1ubuntu3) maverick; urgency=low

  * while armel builds without -marm it does not seem to run properly (things
    like "reboot -f" in initramfs just hang silently), re-enable -marm for now

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Aug 2010 18:05:23 +0200

busybox (1:1.15.3-1ubuntu2) maverick; urgency=low

  * armel seems to build fine without -marm nowadays, so remove it.
  * grep-o-loop.patch: Fix infinite loop in 'grep -o' with a pattern that
    matches the zero-length string at the start of the line (LP: #619817).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Aug 2010 15:16:46 +0100

busybox (1:1.15.3-1ubuntu1) maverick; urgency=low

  * Resynchronise with Debian (LP: #566845).  Remaining changes:
    - [udeb] Enable chvt, dd conv=notrunc, getopt (and -l), killall,
      losetup, mktemp, NFS mount, od, ping, stat, and remote syslog.
    - [deb] Enable mdev.
    - [deb, static] Enable fractional sleep.
    - Enable 'mount -f' and mount helpers for all targets.
    - Add busybox-initramfs.
    - test-bin.patch: Move test and friends to /bin.
    - Add static-sh alias name for ash, and install /bin/static-sh symlink to
      busybox in busybox-static.
    - Use -marm on armel due to gcc thumb2 compilation issue.
    - rmescapes-stack.patch: Refresh stack pointers after makestrspace in
      _rmescapes.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Jul 2010 17:52:24 +0100

busybox (1:1.13.3-1ubuntu11) lucid; urgency=low

  * rmescapes-stack.patch: Refresh stack pointers after makestrspace in
    _rmescapes (backported from dash, although I reinvented it independently
    too; LP: #567345).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Apr 2010 14:15:15 +0100

busybox (1:1.13.3-1ubuntu10) lucid; urgency=low

  * Rebuild statically linked binary against recent libc.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Apr 2010 22:26:24 +0000

busybox (1:1.13.3-1ubuntu9) lucid; urgency=low

  * Using -marm due to gcc thumb2 compile issue (LP: #511197)
  * Small policy cleanup of control file to make lintian happier

 -- David Sugar <david.sugar@canonical.com>  Fri, 22 Jan 2010 08:03:07 -0500

busybox (1:1.13.3-1ubuntu8) lucid; urgency=low

  * add static-sh alias name for ash and install
    /bin/static-sh symlink busybox in busybox-static (LP: #505887)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Jan 2010 13:43:24 +0100

busybox (1:1.13.3-1ubuntu7) karmic; urgency=low

  * [initramfs] Enable df, for casper (LP: #424731).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Sep 2009 15:40:02 +0100

busybox (1:1.13.3-1ubuntu6) karmic; urgency=low

  * [initramfs] Enable CONFIG_FEATURE_USE_TERMIOS (LP: #268306).
  * [initramfs] Enable du, for casper (LP: #424731).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Sep 2009 12:46:29 +0100

busybox (1:1.13.3-1ubuntu5) karmic; urgency=low

  * [initramfs] Enable gunzip and gzip (LP: #392218). (gzip is overkill in
    most respects, but is needed to make the 'gzip' command visible for the
    benefit of kbd.)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Aug 2009 10:54:02 +0100

busybox (1:1.13.3-1ubuntu4) karmic; urgency=low

  * printf-errors.patch (update): Set errno to zero on entry to print_direc,
    as otherwise %c and %s return undefined exit codes.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Jun 2009 18:12:34 +0100

busybox (1:1.13.3-1ubuntu3) karmic; urgency=high

  * [deb, initramfs, static] Enable fractional sleep (thanks, Jean-Louis
    Dupond; LP: #391299).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jun 2009 09:02:31 +0100

busybox (1:1.13.3-1ubuntu2) karmic; urgency=low

  * [initramfs] Link dynamically rather than statically. We always have
    glibc in the initramfs these days.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jun 2009 10:02:27 +0100

busybox (1:1.13.3-1ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - [udeb] Enable chvt, dd conv=notrunc, getopt (and -l), killall,
      losetup, mktemp, NFS mount, od, ping, stat, and remote syslog.
    - [deb] Enable mdev.
    - Enable 'mount -f' and mount helpers for all targets.
    - Add busybox-initramfs.
    - mkswap-uuid.patch: Set UUIDs on swap areas.
    - test-bin.patch: Move test and friends to /bin.
    - mount-helper-fixes.patch: Add proper support for mount -i (don't use
      external mount helper), and trivial support for umount -i although
      busybox umount doesn't support external helpers yet. Fix handling of
      mount -f and -n.
    - getopt-long-only.patch: Allow 'getopt -l' to be enabled independently
      of the whole of CONFIG_GETOPT_LONG, so that it can be enabled more
      cheaply.
    - printf-errors.patch: Exit non-zero on conversion errors.
  * procps-kernel-threads.patch: Drop. We haven't needed this since we
    rewrote casper as an initramfs-tools module anyway, and the bit of this
    patch that actually does anything was dropped in 1:1.01-4ubuntu1 so we
    clearly don't need the rest of it!
  * [initramfs] Include wc for the benefit of live-initramfs (LP: #387944).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Jun 2009 11:41:15 +0100

busybox (1:1.10.2-2ubuntu7) jaunty; urgency=low

  * no-byte-swap-compressed-help.patch: Backport r23074 from upstream to fix
    segfaults on big-endian machines (spotted by Wartan Hachaturow).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 15:23:29 +0000

busybox (1:1.10.2-2ubuntu6) jaunty; urgency=low

  * [udeb] Enable FEATURE_DD_IBS_OBS, so that we can use conv=notrunc while
    restoring swap UUIDs (LP: #336992).


